Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.bea.control
Annotation Type TaskBaseAnnotations.TaskCreate

    @Retention(value=RUNTIME)
    @Target(value={TYPE,METHOD,FIELD})
    public static @interface TaskBaseAnnotations.TaskCreate

Causes the method attached to this annotation to create a new task using the configuration values in this annotation. This annotation causes the setTaskId() method to be called if the control is a TaskControl extension (giving the id of the newly created task).

Optional Element Summary
`TaskBaseAnnotations.AssignmentInstructionsAnno` | `assignmentInstructions` Overrides any assignment instructions the task plan may have defined on the start step.
`TaskBaseAnnotations.AssignmentInstructions81x` | `assignmentInstructions81x` Deprecated. Use assignmentInstructions instead.
`String` | `canBeAborted` Deprecated.
`String` | `canBeReassigned` Deprecated.
`String` | `canBeReturned` Deprecated.
`TaskBaseAnnotations.DateTimeSpec` | `claimDueDate` Deprecated.
`String` | `comment`
`TaskBaseAnnotations.DateTimeSpec` | `completionDueDate` Override for any completion due date specification the task plan may have.
`String` | `constructorName` The name of the constructor (defined in the task plan given by the taskPlanId() field of this annotation) to use when constructing the new task.
`TaskBaseAnnotations.ContainerHandleAnno` | `creatingContainerHandle` Information about the container creating this task
`TaskBaseAnnotations.DateTimeSpec` | `currentStepCompletionDueDate` Override for any completion due date specification the current step may have.
`String` | `description` Deprecated. Put description in task plan instead, and use comment for per-task information.
`TaskBaseAnnotations.PropertyValue[]` | `initialPropertyValues` Initial values for the properties of the created task instance.
`boolean` | `isControlLevelAnno` Flag indicating this annotation is placed at the control interface of a control extension.
`String` | `name` The name to give to the newly created task.
`String` | `owner` Override for any owner specification the task plan may have.
`String` | `priority`
`String` | `request` Deprecated.
`String` | `requestMimeType` Deprecated.
`TaskBaseAnnotations.StepTimeEstimate[]` | `stepTimeEstimates` Overrides for any step estimates the task plan may have (in Interval format).
`TaskBaseAnnotations.TaskPlanID` | `taskPlanId` The id of the task plan to base the new task upon.
`String` | `timeEstimate` Override for any estimate the task plan may have (in Interval format).

### isControlLevelAnno

    public abstract boolean isControlLevelAnno

  Flag indicating this annotation is placed at the control interface of a control extension. Note, this should not really be necessary, but Beehive transparently returns control-level annos from calls to getMethodPropertySet, so putting this anno at the control-level without this flag makes all methods on the control interface *look* like 'create task' methods to the control impl.

  Default:
    false

### taskPlanId

    public abstract TaskBaseAnnotations.TaskPlanID taskPlanId

  The id of the task plan to base the new task upon. In TaskControls this may be ommitted if the task plan ID is being provided elsewhere. For example, you may have a TaskCreate annotation at the control level (acting as default creation parameters) and another on a control method. Further, you might have a TaskPlanAnno annotation on the control itself. You must provide the task plan ID in any one of these places, or a runtime exception will result when trying to create a task.

  Default:
    @com.bea.control.TaskBaseAnnotations.TaskPlanID

### constructorName

    public abstract String constructorName

  The name of the constructor (defined in the task plan given by the taskPlanId() field of this annotation) to use when constructing the new task. If not specified, the task plan must have exactly one constructor, otherwise, an error will result.

  Default:
    ""

### creatingContainerHandle

    public abstract TaskBaseAnnotations.ContainerHandleAnno creatingContainerHandle

  Information about the container creating this task

  Default:
    @com.bea.control.TaskBaseAnnotations.ContainerHandleAnno

### name

    public abstract String name

  The name to give to the newly created task.

  Default:
    ""

### comment

    public abstract String comment

  Default:
    ""

### description

    @Deprecated
    public abstract String description

  Deprecated. Put description in task plan instead, and use comment for per-task information.

  Compatibility for 81x only.

  Default:
    ""

### priority

    public abstract String priority

  Default:
    ""

### owner

    public abstract String owner

  Override for any owner specification the task plan may have.

  Default:
    ""

### completionDueDate

    public abstract TaskBaseAnnotations.DateTimeSpec completionDueDate

  Override for any completion due date specification the task plan may have. It is an absolute or business date by which this task must be completed.

  Default:
    @com.bea.control.TaskBaseAnnotations.DateTimeSpec

### currentStepCompletionDueDate

    public abstract TaskBaseAnnotations.DateTimeSpec currentStepCompletionDueDate

  Override for any completion due date specification the current step may have. It is an absolute or business date by which the step must be completed. This setting is 'sticky' and applies to any current step, not just the step that was current after creation. You can later clear this setting by setting the step completion due date on the task to null.

  Default:
    @com.bea.control.TaskBaseAnnotations.DateTimeSpec

### claimDueDate

    @Deprecated
    public abstract TaskBaseAnnotations.DateTimeSpec claimDueDate

  Deprecated.

  Claim due date specification for 81x compatibility. Note that this feature is removed in 9.0. To get the same behavior you can define a task plan with a ‘claim’ step, and set the completion due date for that step.

  Default:
    @com.bea.control.TaskBaseAnnotations.DateTimeSpec

### canBeReassigned

    @Deprecated
    public abstract String canBeReassigned

  Deprecated.

  Compatibility for 81x only. Indicates tasks created from this control can be reassigned (by the claimant) to another user.

  Default:
    ""

### canBeReturned

    @Deprecated
    public abstract String canBeReturned

  Deprecated.

  Compatibility for 81x only. Indicates tasks created from this control can be returned (by the claimant) to the assigned state from the claimed or started state.

  Default:
    ""

### canBeAborted

    @Deprecated
    public abstract String canBeAborted

  Deprecated.

  Compatibility for 81x only. Indicates tasks created from this control can be aborted (by the claimant) from the claimed or started state.

  Default:
    ""

### timeEstimate

    public abstract String timeEstimate

  Override for any estimate the task plan may have (in Interval format).

  Default:
    ""

### stepTimeEstimates

    public abstract TaskBaseAnnotations.StepTimeEstimate[] stepTimeEstimates

  Overrides for any step estimates the task plan may have (in Interval format).

  Default:
    {}

### assignmentInstructions

    public abstract TaskBaseAnnotations.AssignmentInstructionsAnno assignmentInstructions

  Overrides any assignment instructions the task plan may have defined on the start step.

  Default:
    @com.bea.control.TaskBaseAnnotations.AssignmentInstructionsAnno

### assignmentInstructions81x

    @Deprecated
    public abstract TaskBaseAnnotations.AssignmentInstructions81x assignmentInstructions81x

  Deprecated. Use assignmentInstructions instead.

  For 8.1.x upgrade use only, and mutually exclusive with assignmentInstructions

  Default:
    @com.bea.control.TaskBaseAnnotations.AssignmentInstructions81x

### requestMimeType

    @Deprecated
    public abstract String requestMimeType

  Deprecated.

  8.1.x Compatibility Use Only.

  Default:
    ""

### request

    @Deprecated
    public abstract String request

  Deprecated.

  8.1.x Compatibility Use Only.

  Default:
    ""

### initialPropertyValues

    public abstract TaskBaseAnnotations.PropertyValue[] initialPropertyValues

  Initial values for the properties of the created task instance. Both user-defined and system properties may be set. Note, you could instead use SetProperty method-level annotations to set property values.

  Default:
    {}

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT